using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Graphics;
using bbiwarg.InputProviders;

namespace bbiwarg
{
    class MainBBIWARG
    {
        static void Main(string[] args)
        {
            IInputProvider inputProvider = new IisuInputProvider("..\\..\\videos\\touch\\4.skv");
            VideoHandle videoHandle = new VideoHandle(inputProvider);
            videoHandle.start();

            OutputWindow output = new OutputWindow(videoHandle);
            output.Run(30);

            videoHandle.stop();
        }
    }
}
